# Uses of Class
org.apache.sysds.runtime.compress.bitmap.ABitmap

Packages that use ABitmap
Package
Description
org.apache.sysds.runtime.compress.bitmap
org.apache.sysds.runtime.compress.colgroup.dictionary

## Uses of ABitmap in org.apache.sysds.runtime.compress.bitmap

Subclasses of ABitmap in org.apache.sysds.runtime.compress.bitmap
Modifier and Type
Class
Description
`final class`
`Bitmap`
Uncompressed representation of one or more columns in bitmap format.
`final class`
`MultiColBitmap`
Uncompressed representation of one or more columns in bitmap format.
Methods in org.apache.sysds.runtime.compress.bitmap that return ABitmap
Modifier and Type
Method
Description
`static ABitmap`
BitmapEncoder.`extractBitmap(IColIndex colIndices, MatrixBlock rawBlock, boolean transposed, int estimatedNumberOfUniques, boolean sortedEntries)`
Generate uncompressed bitmaps for a set of columns in an uncompressed matrix block.
`static ABitmap`
BitmapEncoder.`extractBitmap(IColIndex colIndices, MatrixBlock rawBlock, boolean transposed, int estimatedNumberOfUniques, boolean sortedEntries, double[] scaleFactors)`
Generate quantization-fused uncompressed bitmaps for a set of columns in an uncompressed matrix block.
`static ABitmap`
BitmapEncoder.`extractBitmap(IColIndex colIndices, MatrixBlock rawBlock, int estimatedNumberOfUniques, CompressionSettings cs)`

## Uses of ABitmap in org.apache.sysds.runtime.compress.colgroup.dictionary

Methods in org.apache.sysds.runtime.compress.colgroup.dictionary with parameters of type ABitmap
Modifier and Type
Method
Description
`static IDictionary`
DictionaryFactory.`create(ABitmap ubm)`
`static IDictionary`
DictionaryFactory.`create(ABitmap ubm, double sparsity)`
`static IDictionary`
DictionaryFactory.`create(ABitmap ubm, int defaultIndex, double[] defaultTuple, double sparsity, boolean addZero)`